#!/bin/sh
# Emanuele Faranda
#
# Generates pydoc documentation
# Call this script from within this folder
#
# Usage: sh gendoc.sh [module]
#   module : if specified, only generate docs for this module
#
SRCPATH="../../src"
REPLACE_PATH="sed -i 's/\/media\/data_e\/Dropbox\/Programming\/Python\/wx-python\/PCI_Sim\/pcisim_10/..\/../g'"
export PYTHONPATH="$SRCPATH"

# Update only one file
if [ $# -eq 1 ]; then
    pydoc -w "$1"
    REPLACE_PATH="$REPLACE_PATH '$1.html'"
# Update all
else
    # Clean existing html
    rm ./*.html 2>/dev/null
    pydoc -w "$SRCPATH/"
    REPLACE_PATH="$REPLACE_PATH ./*.html"
fi

# Make file paths relative
echo "Replacing docs path..."
eval "$REPLACE_PATH"

# Clean .pyc
find "$SRCPATH" -name *.pyc -exec rm {} \;
