#!/usr/bin/env python
# -*- coding: latin-1 -*-
#
# Emanuele Faranda                                 <black.silver@hotmail.it>
#
#.....................P C I  B U S  S I M U L A T O R.......................
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#...........................................................................
#

"""Implements ReservedMemory class."""

from pcisim.lib.dataword import DataWord
__all__ = ['ReservedMemory']

class ReservedMemory(DataWord):
    """DataWord which holds a NorthBridge allocation record."""

    def __init__(self):
        super(ReservedMemory, self).__init__()
        self.add_field("end", 32)
        self.add_field("start", 32)
        self.add_field("bar", 3)
        self.add_field("dev", 5)
        self.lock()
