#!/usr/bin/env python
#
# Emanuele Faranda                                 <black.silver@hotmail.it>
#
#.....................P C I  B U S  S I M U L A T O R.......................
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#...........................................................................
#

"""This package implements a little framework to expand wx in order to
create scalable nested widgets.
Widget position and size is always expressed in units. The module 'unitsize'
exposes functions to handle unit size.

This package also provides a set of basic widgets.
See widgetbase and widget modules to learn how to create custom widgets.
"""

from .widgetbase import WidgetBase
from .widget import Widget
from .image import ImageWidget
from .label import LabelWidget
from .spin import SpinWidget
from .gridboard import GridBoard
