#!/usr/bin/env python
#
# Emanuele Faranda                                 <black.silver@hotmail.it>
#
#.....................P C I  B U S  S I M U L A T O R.......................
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#...........................................................................
#

"""The script which launches the simulator.

A single parameter containing a module path can be passed to activate
unit testing framework. See pcisim.core.modbuild for more details.

@NOTES
    Please run this script from within pcisim package as follows:
        python ./main.py
"""

import sys
import wx

try:
    import pcisim
except ImportError:
    # If running directly, ensure path is configured correctly
    sys.path.insert(0, "..")
    import pcisim

from pcisim.core.simulator import Simulator

if __name__ == '__main__':
    print "wxPython", wx.version()

    # Mode test
    if len(sys.argv) != 1:
        from pcisim.core import modbuild
        exit( modbuild.parse_args(sys.argv) )

    # Mode run
    sim = Simulator(redirect=False)
    sim.MainLoop()
